#
# spec file for package xoscope
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xoscope
Version:        2.2
Release:        lp152.2.2
Summary:        Digital oscilloscope
License:        GPL-2.0-only
Group:          Productivity/Hamradio/Other
URL:            http://xoscope.sourceforge.net/
Source0:        https://sourceforge.net/projects/xoscope/files/xoscope/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig >= 0.9.0
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(comedilib)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.2
BuildRequires:  pkgconfig(gtkdatabox)

%description
xoscope is a digital oscilloscope that uses a sound card (via ALSA)
and/or a data acquisition card (via COMEDI) as the signal input.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_datadir}/applications/net.sourceforge.xoscope.desktop
%suse_update_desktop_file -c %{name} %{name} "Digital oscilloscope" %{name} %{name} "Network;HamRadio"

%files
%license COPYING
%doc AUTHORS ChangeLog README TODO NEWS
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%if 0%{?suse_version} < 1500
%dir %{_datadir}/metainfo
%endif
%{_datadir}/metainfo/net.sourceforge.xoscope.appdata.xml
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Fri Feb 22 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 2.2
- Specfile overhaul
- Drop support for ancient libesound
* Thu Feb 12 2015 dl8fcl@darc.de
- update to version 2.1 - package imported again into build service
  ALSA soundcard support
  Perl functions now supported again
  Bitscope support dropped due to its proprietary interface
